> ## Documentation Index
> Fetch the complete documentation index at: https://strettch-make-section-id-optional.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Compute Instances

> Returns all compute instances associated with the team of the given API key.

### Response Error Codes

If the request fails, the `code` field in the error response will contain one of the following.

| Code                    | Status | Description                                |
| :---------------------- | :----: | :----------------------------------------- |
| `UNAUTHORIZED`          |   401  | Authentication failed or was not provided. |
| `TOO_MANY_REQUESTS`     |   429  | You have exceeded the rate limit.          |
| `INTERNAL_SERVER_ERROR` |   500  | An unexpected error occurred on our end.   |


## OpenAPI

````yaml api-reference/openapi.json GET /computes
openapi: 3.1.0
info:
  title: Strettch Cloud Public API
  description: Public API for managing Strettch Cloud resources.
  contact:
    name: API Support
    url: https://cloud.strettch.com
    email: support@strettch.cloud
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.strettch.cloud/api/v1
    description: Production
security: []
paths:
  /computes:
    get:
      tags:
        - Computes
      summary: List compute instances
      description: >-
        Returns all compute instances associated with the team of the given API
        key.
      parameters:
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          description: Items per page
          schema:
            type: integer
            default: 20
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/ComputeResponse'
        '401':
          description: 'Possible codes: UNAUTHORIZED'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PaginatedResponse:
      allOf:
        - $ref: '#/components/schemas/APIResponse'
        - type: object
          properties:
            meta:
              $ref: '#/components/schemas/PaginationMeta'
    ComputeResponse:
      type: object
      properties:
        id:
          type: string
          example: '325'
        hostName:
          type: string
          example: my-server-01
        state:
          type: string
          example: RUNNING
        image:
          type: string
          example: UBUNTU-24.04
        specification:
          type: string
          example: S-1C-1G
        region:
          type: string
          example: KGL-1
        ipv4:
          type: string
          example: 195.15.0.73
        privateIpv4:
          type: string
          example: 10.0.0.5
        tags:
          type: array
          items:
            type: string
          example:
            - production
            - web
        createdAt:
          type: string
          example: '2024-01-15T10:00:00Z'
        updatedAt:
          type: string
          example: '2024-01-15T10:05:00Z'
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: ERROR_CODE
        message:
          type: string
          example: Error message description
        requestId:
          type: string
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        success:
          type: boolean
          example: false
        timestamp:
          type: string
          example: '2024-01-15T10:00:00Z'
    APIResponse:
      type: object
      properties:
        message:
          type: string
          example: Operation successful
        requestId:
          type: string
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        success:
          type: boolean
          example: true
        timestamp:
          type: string
          example: '2024-01-15T10:00:00Z'
    PaginationMeta:
      type: object
      properties:
        total:
          type: integer
          example: 150
        page:
          type: integer
          example: 1
        limit:
          type: integer
          example: 20
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````